.b1 {
    margin: 0;
    background: violet;
    
}
.p1 {
    color: green;
    background-color: yellow;
    width: 300px;/* ширина */
    min-height: 200px;/*высота*/
   border: 5px solid purple; 
   
   outline: 10px solid orange;
   margin-bottom: 20px;/*отступ*/
   /* margin: 10px 5px 20px;  */
   /* margin: 40px 20px; */
    /* margin: 10px 5px 20px 10px; */
    /* margin-top: 10px;
    margin-bottom: 20px;
    margin-left: 10px;
    margin-right: 5px; */
    padding: 20px;/*отступ*/
    font-family: 'Arial', 'times news roman', sans-serif;/*шрифт*/
    font-size: 15px;
    font-weight: bold;/*вид шрифта*/
    line-height: 25px;/*межстрочное расстояние*/

}

.p2 {
    background-color: blue;
    color: white;
    width: 300px;
    min-height: 100px;
    margin: 0px 0px 20px 0px;
    padding: 20px;
     border: 5px solid red; 
    /* border-top - сверху */
    outline: 10px solid lawngreen;
    font-family: 'Arial', 'times news roman', sans-serif;
}

.link {
    text-decoration: none;
    font-size: 20px;
    color: black;
    border: 3px solid green;
    background-color: rgb(54, 167, 54);
}